html,body{
    font-size: 12pt;
    background-color: #ffffff;
    font-family: 'Athelas', 'Plantin MT', Garamond, serif;
}

.navbar-dark, .dark-mode .main-footer {
    background-color: #1d1e20 !important;
}

.main-sidebar, .layout-navbar-fixed .wrapper .sidebar-dark-primary .brand-link:not([class*=navbar]){
    background: transparent !important;
    box-shadow: none !important;
    color: black;
    border: none;
}
.brand-link{
    padding: 1px;
    /* position: absolute !important; */
}

.dark-mode {
    background-color: #2e3338!important;
}
.sidebar{
    background: #021936 !important;
}

.sidebar-dark-primary .nav-sidebar>.nav-item>.nav-link.active, .sidebar-light-primary .nav-sidebar>.nav-item>.nav-link.active {
    background-color: #0d5bae;
}

[class*=sidebar-dark-] .nav-treeview>.nav-item>.nav-link.active, [class*=sidebar-dark-] .nav-treeview>.nav-item>.nav-link.active:focus, [class*=sidebar-dark-] .nav-treeview>.nav-item>.nav-link.active:hover{
    background-color: #0d5bae;
    color: white;
}

.login-page, .register-page{
    background-color: #2b3b4b;
}

.datatable thead th{
    /* background-color: #0d6d3a;
    color: white; */
    padding: 6px;
    font-size: 14px;
}

.dark-mode .form-control, .dark-mode .select2-selection--single, .dark-mode .select2-selection--single .select2-selection__rendered, .dark-mode .select2-selection{
    background-color: #ffffff !important;
    color: #000 !important;
}

select.form-control-sm~.select2-container--default {
    font-size: 100%;
}

.layout-footer-fixed .wrapper .main-footer{
    position: relative !important;
}

.dark-mode [class*=icheck-]>input:first-child:not(:checked)+input[type=hidden]+label::before, .dark-mode [class*=icheck-]>input:first-child:not(:checked)+label::before {
    border-color: #ffffff;
}

form ul {
    list-style: none;
    padding-left: 5px;
  }

form li {
    margin-top: 5px;
    color: #e90b0b;
    padding: 2px;
    font-weight: bold;
}

body:not(.dark-mode) .threed {
    /* font-size: 17px; */
	text-shadow: 0px 1px 1px #ddd, 0px 2px 1px #d6d6d6, 0px 2px 1px #ccc, 0px 4px 1px #c5c5c5, 0px 0px 1px #c1c1c1, 0px 6px 1px #bbb, 0px 0px 1px #777, 0px 0px 1px rgba(100, 100, 100, 0.4), 0px 9px 5px rgba(100, 100, 100, 0.1), 0px 10px 7px rgba(100, 100, 100, 0.15), 0px 11px 9px rgba(100, 100, 100, 0.2), 0px 12px 11px rgba(100, 100, 100, 0.25), 0px 13px 15px rgba(100, 100, 100, 0.3);
}

.datatable th{
    text-align: center;
}

td.group, tr.dtrg-group > th {
    /* background: #4a706a; */
    /* color: white; */
    border-bottom:1px solid green !important;
    border-top:1px solid green !important;
    background-color: papayawhip;
    font-size: 1.25rem;
}
.readonly{
    cursor: not-allowed !important;
    pointer-events: none !important;
    background-color: #f1f1f1 !important;
}
.direct-chat-img {
    height: 30px;
    width: 30px;
}
.direct-chat-text {
    margin: 5px 0 0 40px;
}
.direct-chat-msg {
    margin-bottom: 18px;
}
.direct-chat-messages {
    height: 500px;
    border: 5px solid #ccd0d8;
}
#compose_message{
    position: sticky;
    width: 100%;
    bottom: 0;
    padding: 0px;
}
.legend-img{
    height: 20px;
    width: 20px;
}
.legend{
    padding-left: 1px;
    margin-right: 3px;
    color: white !important;
    border-radius: 5px;
}
.bg-driver{
    background-color: #6e8aa4 !important;
    color: white !important;
}
.bg-rider_a{
    background-color: #0f8b57 !important;
    color: white !important;
}
.bg-rider_b{
    background-color: #f1b359 !important;
    color: white !important;
}
.bg-rider_c{
    background-color: #388fd1 !important;
    color: white !important;
}

.dropdown-item {
    border-top: 1px solid #e9ecef;
}
.dropdown-menu {
    max-width: auto !important;
    min-width: 400px !important;
}
.dropdown-item:focus, .dropdown-item:hover {
    color: #ffffff;
    text-decoration: none;
    background-color: #0267cd;
}

#my_upcoming_rides_wrapper table thead, #upcoming_rides_wrapper table thead{
    display:none;
}
.profile_table tr td{
    max-width: 250px;
}
.dataTables_scrollHeadInner, .dataTables_scrollFootInner{  width:100% !important; }

.dataTables_scrollHeadInner table, .dataTables_scrollFootInner table{  width:100% !important; }

.sidebar-mini.sidebar-collapse .main-sidebar, .sidebar-mini.sidebar-collapse .main-sidebar::before {
    width: 0rem;
}

.sidebar-mini.sidebar-collapse .content-wrapper, .sidebar-mini.sidebar-collapse .main-footer, .sidebar-mini.sidebar-collapse{
    margin-left: 0rem!important;
}

.content-wrapper {
    background-color: #ffffff;
}

.main-header{
    /* height: 150px; */
}
.content{
    /* margin-top: 120px; */
}

.navbar-light {
    background-color: #ffffff;
}
.layout-navbar-fixed.layout-fixed .wrapper .sidebar {
    margin-top: calc(3.5rem + 18px);
}

.mine
{
    border:1px solid green !important;
    background-color: #f2ffe6;
    font-size: 100%;
}
.separator
{
     border:1px solid green;
    background-color: papayawhip;
}

.chat_rollover {
    display: block;
    width: 90px;
    height: 80px;
    background: url(https://ruralrideshare.com/images/icon_go_chat_80x90.jpg) no-repeat;
    -webkit-transition: all .4s ease-in-out;
    -moz-transition: all .4s ease-in-out;
    -o-transition: all .4s ease-in-out;
    transition: all .4s ease-in-out;
}

.chat_rollover:hover {
    background: url(https://ruralrideshare.com/images/icon_go_chat_roll_80x90.jpg);
}

.layout-navbar-fixed .wrapper .content-wrapper{
    margin-top: 0px;
}

xbody{
    font-size:11pt;
    font-family: 'Athelas', 'Plantin MT', 'Gill Sans MT', sans-serif;
    color:#000000;
    background-color:#ffffff;
    overflow:auto;
    }
    
    
.cal_rollover {
    display: block;
    width: 80px;
    height: 100px;
    background: url(https://ruralrideshare.com/images/icon_showcal_80x100.png) no-repeat;
    -webkit-transition: all .4s ease-in-out;
    -moz-transition: all .4s ease-in-out;
    -o-transition: all .4s ease-in-out;
    transition: all .4s ease-in-out;
}

.cal_rollover:hover {
    background: url(https://ruralrideshare.com/images/icon_showcal_roll_80x100.png);
}

.tab_calendar_rollover {
    display: block;
    width: 100px;
    height: 20px;
    background: url(https://ruralrideshare.com/images/tab_calendar_100x20.jpeg) no-repeat;
    -webkit-transition: all .4s ease-in-out;
    -moz-transition: all .4s ease-in-out;
    -o-transition: all .4s ease-in-out;
    transition: all .4s ease-in-out;
}

.tab_calendar_rollover:hover {
    background: url(https://ruralrideshare.com/images/tab_calendar_selected_100x20.jpeg);
}

.tab_alltrips_rollover {
    display: block;
    width: 100px;
    height: 20px;
    background: url(https://ruralrideshare.com/images/tab_alltrips_100x20.jpeg) no-repeat;
    -webkit-transition: all .4s ease-in-out;
    -moz-transition: all .4s ease-in-out;
    -o-transition: all .4s ease-in-out;
    transition: all .4s ease-in-out;
}

.tab_alltrips_rollover:hover {
    background: url(https://ruralrideshare.com/images/tab_alltrips_selected_100x20.jpeg);
}

.tab_newtrip_rollover {
    display: block;
    width: 100px;
    height: 20px;
    background: url(https://ruralrideshare.com/images/tab_newtrip_100x20.jpeg) no-repeat;
    -webkit-transition: all .4s ease-in-out;
    -moz-transition: all .4s ease-in-out;
    -o-transition: all .4s ease-in-out;
    transition: all .4s ease-in-out;
}

.tab_newtrip_rollover:hover {
    background: url(https://ruralrideshare.com/images/tab_newtrip_selected_100x20.jpeg);
}

.tab_preferences_rollover {
    display: block;
    width: 100px;
    height: 20px;
    background: url(https://ruralrideshare.com/images/tab_preferences_100x20.jpeg) no-repeat;
    -webkit-transition: all .4s ease-in-out;
    -moz-transition: all .4s ease-in-out;
    -o-transition: all .4s ease-in-out;
    transition: all .4s ease-in-out;
}

.tab_preferences_rollover:hover {
    background: url(https://ruralrideshare.com/images/tab_preferences_selected_100x20.jpeg);
}

.join_rollover {
    display: block;
    width: 90px;
    height: 80px;
    background: url(https://ruralrideshare.com/images/icon_add_rider_80x90.png) no-repeat;
    -webkit-transition: all .4s ease-in-out;
    -moz-transition: all .4s ease-in-out;
    -o-transition: all .4s ease-in-out;
    transition: all .4s ease-in-out;
}

.join_rollover:hover {
    background: url(https://ruralrideshare.com/images/icon_add_rider_roll_80x90.png);
}

.chat_rollover {
    display: block;
    width: 90px;
    height: 80px;
    background: url(https://ruralrideshare.com/images/icon_go_chat_80x90.jpg) no-repeat;
    -webkit-transition: all .4s ease-in-out;
    -moz-transition: all .4s ease-in-out;
    -o-transition: all .4s ease-in-out;
    transition: all .4s ease-in-out;
}

.chat_rollover:hover {
    background: url(https://ruralrideshare.com/images/icon_go_chat_roll_80x90.jpg);
}

/* .layout-navbar-fixed .wrapper .brand-link {
    z-index: 9999999 !important;
    position: relative !important;
} */

.nav-sidebar .nav-link p{
    color: white !important;
}

a.fc-daygrid-event{
    padding: 5px;
}

a.fc-event{
    text-align: center;
}

td.fc-day-today{
    background-color: #62f3a1 !important;
}

div.preference_choice > label{
    font-weight: normal !important;
}

.preference-choice-item {
    margin-right: 5px;
}

.plus_rollover {
    display: block;
    width: 20px;
    height: 20px;
    background: url(https://ruralrideshare.com/images/icon_plus_20x20.png) no-repeat;
    -webkit-transition: all .2s ease-in-out;
    -moz-transition: all .2s ease-in-out;
    -o-transition: all .2s ease-in-out;
    transition: all .2s ease-in-out;
    float: left;
    padding: 5px;
}

#calendar .table-bordered td,#calendar .table-bordered th {
    border: 1px solid #494949;
}

td.fc-day-today div.fc-daygrid-day-frame {
    background-color: #ffffff !important;
    border: 4px solid black !important;
}

#calendar .fc-scroller-liquid {
    height: 130%;
}

.swal2-styled.swal2-confirm:not(.bg-red) {
  background-color: #0eb147 !important;
}

::-webkit-scrollbar {
width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
background: #ffffff;
}

/* Handle */
::-webkit-scrollbar-thumb {
background: #b6c5e9;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
background: #555;
}

.select2-results__group {
    text-align: center;
    background-color: #e8eeec;
}

.bootstrap-datetimepicker-widget table td {
    /* height: 0px !important;
    line-height: 0px !important;
    width: 0px !important; */
    border: 1px white;
    background: white;
}

.select2-container--default .select2-results>.select2-results__options {
    max-height: 500px;
    overflow-y: auto;
}

.datepicker {
  padding: 4px;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  direction: ltr;
}
/* .datepicker-inline {
  width: 220px;
} */
.datepicker.datepicker-rtl {
  direction: rtl;
}
.datepicker.datepicker-rtl table tr td span {
  float: right;
}
.datepicker-dropdown {
  top: 0;
  left: 0;
}
.datepicker-dropdown:before {
  content: '';
  display: inline-block;
  border-left: 7px solid transparent;
  border-right: 7px solid transparent;
  border-bottom: 7px solid #999999;
  border-top: 0;
  border-bottom-color: rgba(0, 0, 0, 0.2);
  position: absolute;
}
.datepicker-dropdown:after {
  content: '';
  display: inline-block;
  border-left: 6px solid transparent;
  border-right: 6px solid transparent;
  border-bottom: 6px solid #ffffff;
  border-top: 0;
  position: absolute;
}
.datepicker-dropdown.datepicker-orient-left:before {
  left: 6px;
}
.datepicker-dropdown.datepicker-orient-left:after {
  left: 7px;
}
.datepicker-dropdown.datepicker-orient-right:before {
  right: 6px;
}
.datepicker-dropdown.datepicker-orient-right:after {
  right: 7px;
}
.datepicker-dropdown.datepicker-orient-bottom:before {
  top: -7px;
}
.datepicker-dropdown.datepicker-orient-bottom:after {
  top: -6px;
}
.datepicker-dropdown.datepicker-orient-top:before {
  bottom: -7px;
  border-bottom: 0;
  border-top: 7px solid #999999;
}
.datepicker-dropdown.datepicker-orient-top:after {
  bottom: -6px;
  border-bottom: 0;
  border-top: 6px solid #ffffff;
}
.datepicker > div {
  display: none;
}
.datepicker table {
  margin: 0;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  width: 100%;
}
.datepicker td,
.datepicker th {
  text-align: center;
  width: 20px;
  height: 20px;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  border: none;
  padding: 10px;
}
.table-striped .datepicker table tr td,
.table-striped .datepicker table tr th {
  background-color: transparent;
}
.datepicker table tr td.day:hover,
.datepicker table tr td.day.focused {
  background: #eeeeee;
  cursor: pointer;
  background: #08d33d;
  color: white;
}
.datepicker table tr td.old,
.datepicker table tr td.new {
  color: #000000;
}
.datepicker table tr td.disabled,
.datepicker table tr td.disabled:hover {
  background: none;
  color: #d7d3d3;
  cursor: not-allowed;
}
.datepicker table tr td.highlighted {
  background: #d9edf7;
  border-radius: 0;
}
.datepicker table tr td.today,
.datepicker table tr td.today:hover,
.datepicker table tr td.today.disabled,
.datepicker table tr td.today.disabled:hover {
  background-color: #fde19a;
  background-image: -moz-linear-gradient(to bottom, #fdd49a, #fdf59a);
  background-image: -ms-linear-gradient(to bottom, #fdd49a, #fdf59a);
  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#fdd49a), to(#fdf59a));
  background-image: -webkit-linear-gradient(to bottom, #fdd49a, #fdf59a);
  background-image: -o-linear-gradient(to bottom, #fdd49a, #fdf59a);
  background-image: linear-gradient(to bottom, #fdd49a, #fdf59a);
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#fdd49a', endColorstr='#fdf59a', GradientType=0);
  border-color: #fdf59a #fdf59a #fbed50;
  border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
  filter: progid:DXImageTransform.Microsoft.gradient(enabled=false);
  color: #000;
}
.datepicker table tr td.today:hover,
.datepicker table tr td.today:hover:hover,
.datepicker table tr td.today.disabled:hover,
.datepicker table tr td.today.disabled:hover:hover,
.datepicker table tr td.today:active,
.datepicker table tr td.today:hover:active,
.datepicker table tr td.today.disabled:active,
.datepicker table tr td.today.disabled:hover:active,
.datepicker table tr td.today.active,
.datepicker table tr td.today:hover.active,
.datepicker table tr td.today.disabled.active,
.datepicker table tr td.today.disabled:hover.active,
.datepicker table tr td.today.disabled,
.datepicker table tr td.today:hover.disabled,
.datepicker table tr td.today.disabled.disabled,
.datepicker table tr td.today.disabled:hover.disabled,
.datepicker table tr td.today[disabled],
.datepicker table tr td.today:hover[disabled],
.datepicker table tr td.today.disabled[disabled],
.datepicker table tr td.today.disabled:hover[disabled] {
  background-color: #fdf59a;
}
.datepicker table tr td.today:active,
.datepicker table tr td.today:hover:active,
.datepicker table tr td.today.disabled:active,
.datepicker table tr td.today.disabled:hover:active,
.datepicker table tr td.today.active,
.datepicker table tr td.today:hover.active,
.datepicker table tr td.today.disabled.active,
.datepicker table tr td.today.disabled:hover.active {
  background-color: #fbf069 \9;
}
.datepicker table tr td.today:hover:hover {
  color: #000;
}
.datepicker table tr td.today.active:hover {
  color: #fff;
}
.datepicker table tr td.range,
.datepicker table tr td.range:hover,
.datepicker table tr td.range.disabled,
.datepicker table tr td.range.disabled:hover {
  background: #eeeeee;
  -webkit-border-radius: 0;
  -moz-border-radius: 0;
  border-radius: 0;
}
.datepicker table tr td.range.today,
.datepicker table tr td.range.today:hover,
.datepicker table tr td.range.today.disabled,
.datepicker table tr td.range.today.disabled:hover {
  background-color: #f3d17a;
  background-image: -moz-linear-gradient(to bottom, #f3c17a, #f3e97a);
  background-image: -ms-linear-gradient(to bottom, #f3c17a, #f3e97a);
  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#f3c17a), to(#f3e97a));
  background-image: -webkit-linear-gradient(to bottom, #f3c17a, #f3e97a);
  background-image: -o-linear-gradient(to bottom, #f3c17a, #f3e97a);
  background-image: linear-gradient(to bottom, #f3c17a, #f3e97a);
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#f3c17a', endColorstr='#f3e97a', GradientType=0);
  border-color: #f3e97a #f3e97a #edde34;
  border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
  filter: progid:DXImageTransform.Microsoft.gradient(enabled=false);
  -webkit-border-radius: 0;
  -moz-border-radius: 0;
  border-radius: 0;
}
.datepicker table tr td.range.today:hover,
.datepicker table tr td.range.today:hover:hover,
.datepicker table tr td.range.today.disabled:hover,
.datepicker table tr td.range.today.disabled:hover:hover,
.datepicker table tr td.range.today:active,
.datepicker table tr td.range.today:hover:active,
.datepicker table tr td.range.today.disabled:active,
.datepicker table tr td.range.today.disabled:hover:active,
.datepicker table tr td.range.today.active,
.datepicker table tr td.range.today:hover.active,
.datepicker table tr td.range.today.disabled.active,
.datepicker table tr td.range.today.disabled:hover.active,
.datepicker table tr td.range.today.disabled,
.datepicker table tr td.range.today:hover.disabled,
.datepicker table tr td.range.today.disabled.disabled,
.datepicker table tr td.range.today.disabled:hover.disabled,
.datepicker table tr td.range.today[disabled],
.datepicker table tr td.range.today:hover[disabled],
.datepicker table tr td.range.today.disabled[disabled],
.datepicker table tr td.range.today.disabled:hover[disabled] {
  background-color: #f3e97a;
}
.datepicker table tr td.range.today:active,
.datepicker table tr td.range.today:hover:active,
.datepicker table tr td.range.today.disabled:active,
.datepicker table tr td.range.today.disabled:hover:active,
.datepicker table tr td.range.today.active,
.datepicker table tr td.range.today:hover.active,
.datepicker table tr td.range.today.disabled.active,
.datepicker table tr td.range.today.disabled:hover.active {
  background-color: #efe24b \9;
}
.datepicker table tr td.selected,
.datepicker table tr td.selected:hover,
.datepicker table tr td.selected.disabled,
.datepicker table tr td.selected.disabled:hover {
  background-color: #9e9e9e;
  background-image: -moz-linear-gradient(to bottom, #b3b3b3, #808080);
  background-image: -ms-linear-gradient(to bottom, #b3b3b3, #808080);
  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#b3b3b3), to(#808080));
  background-image: -webkit-linear-gradient(to bottom, #b3b3b3, #808080);
  background-image: -o-linear-gradient(to bottom, #b3b3b3, #808080);
  background-image: linear-gradient(to bottom, #b3b3b3, #808080);
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#b3b3b3', endColorstr='#808080', GradientType=0);
  border-color: #808080 #808080 #595959;
  border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
  filter: progid:DXImageTransform.Microsoft.gradient(enabled=false);
  color: #fff;
  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
}
.datepicker table tr td.selected:hover,
.datepicker table tr td.selected:hover:hover,
.datepicker table tr td.selected.disabled:hover,
.datepicker table tr td.selected.disabled:hover:hover,
.datepicker table tr td.selected:active,
.datepicker table tr td.selected:hover:active,
.datepicker table tr td.selected.disabled:active,
.datepicker table tr td.selected.disabled:hover:active,
.datepicker table tr td.selected.active,
.datepicker table tr td.selected:hover.active,
.datepicker table tr td.selected.disabled.active,
.datepicker table tr td.selected.disabled:hover.active,
.datepicker table tr td.selected.disabled,
.datepicker table tr td.selected:hover.disabled,
.datepicker table tr td.selected.disabled.disabled,
.datepicker table tr td.selected.disabled:hover.disabled,
.datepicker table tr td.selected[disabled],
.datepicker table tr td.selected:hover[disabled],
.datepicker table tr td.selected.disabled[disabled],
.datepicker table tr td.selected.disabled:hover[disabled] {
  background-color: #808080;
}
.datepicker table tr td.selected:active,
.datepicker table tr td.selected:hover:active,
.datepicker table tr td.selected.disabled:active,
.datepicker table tr td.selected.disabled:hover:active,
.datepicker table tr td.selected.active,
.datepicker table tr td.selected:hover.active,
.datepicker table tr td.selected.disabled.active,
.datepicker table tr td.selected.disabled:hover.active {
  background-color: #666666 \9;
}
.datepicker table tr td.active,
.datepicker table tr td.active:hover,
.datepicker table tr td.active.disabled,
.datepicker table tr td.active.disabled:hover {
  background-color: #006dcc;
  background-image: -moz-linear-gradient(to bottom, #0088cc, #0044cc);
  background-image: -ms-linear-gradient(to bottom, #0088cc, #0044cc);
  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#0088cc), to(#0044cc));
  background-image: -webkit-linear-gradient(to bottom, #0088cc, #0044cc);
  background-image: -o-linear-gradient(to bottom, #0088cc, #0044cc);
  background-image: linear-gradient(to bottom, #0088cc, #0044cc);
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#0088cc', endColorstr='#0044cc', GradientType=0);
  border-color: #0044cc #0044cc #002a80;
  border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
  filter: progid:DXImageTransform.Microsoft.gradient(enabled=false);
  color: #fff;
  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
}
.datepicker table tr td.active:hover,
.datepicker table tr td.active:hover:hover,
.datepicker table tr td.active.disabled:hover,
.datepicker table tr td.active.disabled:hover:hover,
.datepicker table tr td.active:active,
.datepicker table tr td.active:hover:active,
.datepicker table tr td.active.disabled:active,
.datepicker table tr td.active.disabled:hover:active,
.datepicker table tr td.active.active,
.datepicker table tr td.active:hover.active,
.datepicker table tr td.active.disabled.active,
.datepicker table tr td.active.disabled:hover.active,
.datepicker table tr td.active.disabled,
.datepicker table tr td.active:hover.disabled,
.datepicker table tr td.active.disabled.disabled,
.datepicker table tr td.active.disabled:hover.disabled,
.datepicker table tr td.active[disabled],
.datepicker table tr td.active:hover[disabled],
.datepicker table tr td.active.disabled[disabled],
.datepicker table tr td.active.disabled:hover[disabled] {
  background-color: #0044cc;
}
.datepicker table tr td.active:active,
.datepicker table tr td.active:hover:active,
.datepicker table tr td.active.disabled:active,
.datepicker table tr td.active.disabled:hover:active,
.datepicker table tr td.active.active,
.datepicker table tr td.active:hover.active,
.datepicker table tr td.active.disabled.active,
.datepicker table tr td.active.disabled:hover.active {
  background-color: #003399 \9;
}
.datepicker table tr td span {
  display: block;
  width: 23%;
  height: 54px;
  line-height: 54px;
  float: left;
  margin: 1%;
  cursor: pointer;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
}
.datepicker table tr td span:hover {
  background: #eeeeee;
}
.datepicker table tr td span.disabled,
.datepicker table tr td span.disabled:hover {
  background: none;
  color: #999999;
  cursor: default;
}
.datepicker table tr td span.active,
.datepicker table tr td span.active:hover,
.datepicker table tr td span.active.disabled,
.datepicker table tr td span.active.disabled:hover {
  background-color: #006dcc;
  background-image: -moz-linear-gradient(to bottom, #0088cc, #0044cc);
  background-image: -ms-linear-gradient(to bottom, #0088cc, #0044cc);
  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#0088cc), to(#0044cc));
  background-image: -webkit-linear-gradient(to bottom, #0088cc, #0044cc);
  background-image: -o-linear-gradient(to bottom, #0088cc, #0044cc);
  background-image: linear-gradient(to bottom, #0088cc, #0044cc);
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#0088cc', endColorstr='#0044cc', GradientType=0);
  border-color: #0044cc #0044cc #002a80;
  border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
  filter: progid:DXImageTransform.Microsoft.gradient(enabled=false);
  color: #fff;
  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
}
.datepicker table tr td span.active:hover,
.datepicker table tr td span.active:hover:hover,
.datepicker table tr td span.active.disabled:hover,
.datepicker table tr td span.active.disabled:hover:hover,
.datepicker table tr td span.active:active,
.datepicker table tr td span.active:hover:active,
.datepicker table tr td span.active.disabled:active,
.datepicker table tr td span.active.disabled:hover:active,
.datepicker table tr td span.active.active,
.datepicker table tr td span.active:hover.active,
.datepicker table tr td span.active.disabled.active,
.datepicker table tr td span.active.disabled:hover.active,
.datepicker table tr td span.active.disabled,
.datepicker table tr td span.active:hover.disabled,
.datepicker table tr td span.active.disabled.disabled,
.datepicker table tr td span.active.disabled:hover.disabled,
.datepicker table tr td span.active[disabled],
.datepicker table tr td span.active:hover[disabled],
.datepicker table tr td span.active.disabled[disabled],
.datepicker table tr td span.active.disabled:hover[disabled] {
  background-color: #0044cc;
}
.datepicker table tr td span.active:active,
.datepicker table tr td span.active:hover:active,
.datepicker table tr td span.active.disabled:active,
.datepicker table tr td span.active.disabled:hover:active,
.datepicker table tr td span.active.active,
.datepicker table tr td span.active:hover.active,
.datepicker table tr td span.active.disabled.active,
.datepicker table tr td span.active.disabled:hover.active {
  background-color: #003399 \9;
}
.datepicker table tr td span.old,
.datepicker table tr td span.new {
  color: #999999;
}
.datepicker .datepicker-switch {
  width: 145px;
}
.datepicker .datepicker-switch,
.datepicker .prev,
.datepicker .next,
.datepicker tfoot tr th {
  cursor: pointer;
}
.datepicker .datepicker-switch:hover,
.datepicker .prev:hover,
.datepicker .next:hover,
.datepicker tfoot tr th:hover {
  background: #eeeeee;
}
.datepicker .cw {
  font-size: 10px;
  width: 12px;
  padding: 0 2px 0 5px;
  vertical-align: middle;
}

td.day.disabled.bookedDate, td.day.disabled.bookedDate:hover {
  /* background: #b91d1d;
  color: white; */
  color: #ff0d0d;
  text-decoration: line-through;
  text-decoration-thickness: 3px;
  text-decoration-color: black;
  font-weight: bold;
}

td.day.disabled.bookedDate::before {
  content: "You already have a Trip on this day";
  position: absolute;
  background-color: #970c0c;
  color: #fff;
  padding: 5px;
  border-radius: 5px;
  font-size: 14px;
  visibility: hidden;
  opacity: 0;
  transition: opacity 0.2s;
}

td.day.disabled.bookedDate:hover::before {
  visibility: visible;
  opacity: 1;
}

.previewUserLink, .imageZoom{
  cursor: pointer !important;
}

.swal2-close{
  color: #ff0606 !important;
}
.bg-red{
  background: #d90000 !important;
  background-color: #d90000 !important;
}

.dataTables_wrapper{
  width : 720px !important;
}

#general_chat_compose .trumbowyg-box, #general_chat_compose .trumbowyg-editor, #adChat_compose .trumbowyg-box, #adChat_compose .trumbowyg-editor {
  height: 180px !important;
  min-height: 180px !important;
  max-height: 180px !important;
}
